Subject: Re: [PATCH] forcedeth: new backoff implementation

From: Ingo Oeser <[email-masked]>
Date: Thu, 10 Apr 2008 18:25:48 +0200

Hi Ayaz,

You wrote:
> u32 gMainSeedSet[BACKOFF_SEEDSET_ROWS][BACKOFF_SEEDSET_LFSRS] = {

Could you make that 

static const u16 gMainSeedSet[BACKOFF_SEEDSET_ROWS][BACKOFF_SEEDSET_LFSRS] = {

> u32 gGearSeedSet[BACKOFF_SEEDSET_ROWS][BACKOFF_SEEDSET_LFSRS] = {

static const u16 gGearSeedSet[BACKOFF_SEEDSET_ROWS][BACKOFF_SEEDSET_LFSRS] = {

That should put it into the read only code segment and halve the sizes.

PS: I'm sure that one make these tables u8 by using some math tricks and 
other seeds, but that is beyond me now...

Best Regards

Ingo Oeser